package com.leromro.core.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.leromro.common.annotation.Excel;
import com.leromro.common.core.domain.BaseEntity;

/**
 * 业务管理(树形结构包含所有服务)对象 l_business_management
 * 
 * @author ruoyi
 * @date 2025-04-17
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("l_business_management")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "BusinessManagement", description = "业务管理(树形结构包含所有服务)")
public class BusinessManagement extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 业务id */
    @TableId(type = IdType.AUTO)
    private Long businessManagementId;

    /** 父id */
    @TableField("parent_id")
    @ApiModelProperty("父id")
    private Long parentId;

    /** 祖级节点 */
    @TableField("ancestors")
    @ApiModelProperty("祖级节点")
    private String ancestors;

    /** 业务名称 */
    @TableField("business_name")
    @ApiModelProperty("业务名称")
    private String businessName;

    /** 业务层级名称 */
    @TableField("business_tier_name")
    @ApiModelProperty("业务层级名称")
    private String businessTierName;

    /** 排序 */
    @TableField("sort")
    @ApiModelProperty("排序")
    private Long sort;


}
