package com.leromro.core.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.leromro.common.annotation.Excel;
import com.leromro.common.core.domain.BaseEntity;

/**
 * 订单资金冻结对象 l_order_frozen_funds
 * 
 * @author ruoyi
 * @date 2025-04-11
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("l_order_frozen_funds")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "OrderFrozenFunds", description = "订单资金冻结")
public class OrderFrozenFunds extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    @TableId(type = IdType.AUTO)
    private Long orderFrozenFundsId;

    /** 志愿者收入 */
    @TableField("volunteer_money")
    @ApiModelProperty("志愿者收入")
    private BigDecimal volunteerMoney;

    /** 平台佣金 */
    @TableField("platform_brokerage")
    @ApiModelProperty("平台佣金")
    private BigDecimal platformBrokerage;

    /** 评分奖励 */
    @TableField("score_money")
    @ApiModelProperty("评分奖励")
    private BigDecimal scoreMoney;

    /** 志愿者订单金额 */
    @TableField("second_order_money")
    @ApiModelProperty("志愿者订单金额")
    private BigDecimal secondOrderMoney;

    /** 冻结状态 0冻结中1已解冻 */
    @TableField("status")
    @ApiModelProperty("冻结状态 0冻结中1已解冻")
    private Integer status;

    /** 志愿者订单id */
    @TableField("second_order_id")
    @ApiModelProperty("志愿者订单id")
    private String secondOrderId;

    /** 志愿者id */
    @TableField("volunteer_id")
    @ApiModelProperty("志愿者id")
    private Long volunteerId;

    /** 开始冻结时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField("frozen_start_time")
    @ApiModelProperty("开始冻结时间")
    private Date frozenStartTime;

    /** 结束冻结时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField("frozen_end_time")
    @ApiModelProperty("结束冻结时间")
    private Date frozenEndTime;


}
