package com.leromro.core.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.leromro.common.core.domain.BaseEntity;

/**
 * 平台资金流水对象 l_platform_finance
 * 
 * @author ruoyi
 * @date 2025-04-11
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("l_platform_finance")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "PlatformFinance", description = "平台资金流水")
public class PlatformFinance extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    @TableId(type = IdType.AUTO)
    private Long platformFinanceId;

    /** 变更金额 */
    @TableField("change_money")
    @ApiModelProperty("变更金额")
    private BigDecimal changeMoney;

    /** 变更类型 1增加0减少 */
    @TableField("change_type")
    @ApiModelProperty("变更类型 1增加0减少")
    private Integer changeType;

    /** 金额类型 1营业额2志愿者佣金3平台佣金4志愿者扣款 */
    @TableField("money_type")
    @ApiModelProperty("金额类型 1营业额2志愿者佣金3平台佣金4志愿者扣款")
    private Integer moneyType;

    /** 来源类型 1订单支付2订单退款3订单完成 */
    @TableField("source_type")
    @ApiModelProperty("来源类型 1订单支付2订单退款3订单完成")
    private Integer sourceType;

    /** 志愿者订单id */
    @TableField("second_order_id")
    @ApiModelProperty("志愿者订单id")
    private String secondOrderId;

    /** 志愿者id */
    @TableField("volunteer_id")
    @ApiModelProperty("志愿者id")
    private Long volunteerId;


    public PlatformFinance(BigDecimal bigDecimal) {
    }


}
