package com.leromro.core.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.leromro.common.annotation.Excel;
import com.leromro.common.core.domain.BaseEntity;

/**
 * 志愿者账户对象 l_volunteer_account
 * 
 * @author ruoyi
 * @date 2025-04-11
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("l_volunteer_account")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "VolunteerAccount", description = "志愿者账户")
public class VolunteerAccount extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    @TableField("volunteer_account_id")
    @ApiModelProperty("id")
    private Long volunteerAccountId;

    @TableField("volunteer_id")
    @ApiModelProperty("志愿者id")
    private Long volunteerId;

    @TableField("balance")
    @ApiModelProperty("可提现金额")
    private BigDecimal balance;

    @TableField("total_balance")
    @ApiModelProperty("累计可提现金额")
    private BigDecimal totalBalance;

    @TableField("order_frozen_balance")
    @ApiModelProperty("订单冻结金额")
    private BigDecimal orderFrozenBalance;

    @TableField("be_balance")
    @ApiModelProperty("提现中金额")
    private BigDecimal beBalance;


}
