package com.leromro.core.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.leromro.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 后台管理订单页面
 */
@Data
public class webMainOrderListVO {



    @ApiModelProperty("订单id")
    private String mainOrderId;

    @ApiModelProperty("单价")
    private BigDecimal serviceOnePrice;

    @ApiModelProperty("总价")
    private BigDecimal serviceTotalPrice;

    @ApiModelProperty(" 0待支付 1已支付 2支付超时或取消 3进行中 4已完成 5申请退款中 6已退款 7部分退款 8 待评价 ")
    private Integer orderStatus;

    @ApiModelProperty("志愿者信息主键")
    private Long volunteerInfoId;

    @TableField("project_name")
    @ApiModelProperty("服务项目名称")
    private String projectName;

    @TableField("project_type_name")
    @ApiModelProperty("项目类别名称")
    private String  projectTypeName;

    @ApiModelProperty("科目名称")
    private String serviceSubjectName;

    @ApiModelProperty("业务层级名称")
    private String businessTierName;

    @ApiModelProperty("订单创建时间")
    private Date createTime;

    @ApiModelProperty(value = "联系电话")
    private String phonenumber;

    @ApiModelProperty(value = "志愿者姓名")
    private String name;
}
