package com.leromro.core.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.leromro.core.domain.PlatformFinance;

/**
 * 平台资金流水Mapper接口
 * 
 * @author ruoyi
 * @date 2025-04-11
 */
public interface PlatformFinanceMapper extends BaseMapper<PlatformFinance>
{
    /**
     * 查询平台资金流水
     * 
     * @param platformFinanceId 平台资金流水主键
     * @return 平台资金流水
     */
    public PlatformFinance selectPlatformFinanceByPlatformFinanceId(Long platformFinanceId);

    /**
     * 查询平台资金流水列表
     * 
     * @param platformFinance 平台资金流水
     * @return 平台资金流水集合
     */
    public List<PlatformFinance> selectPlatformFinanceList(PlatformFinance platformFinance);

    /**
     * 新增平台资金流水
     * 
     * @param platformFinance 平台资金流水
     * @return 结果
     */
    public int insertPlatformFinance(PlatformFinance platformFinance);

    /**
     * 修改平台资金流水
     * 
     * @param platformFinance 平台资金流水
     * @return 结果
     */
    public int updatePlatformFinance(PlatformFinance platformFinance);

    /**
     * 删除平台资金流水
     * 
     * @param platformFinanceId 平台资金流水主键
     * @return 结果
     */
    public int deletePlatformFinanceByPlatformFinanceId(Long platformFinanceId);

    /**
     * 批量删除平台资金流水
     * 
     * @param platformFinanceIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePlatformFinanceByPlatformFinanceIds(Long[] platformFinanceIds);

    int insertPlatformFinanceList(List<PlatformFinance> platformFinanceList);
}
